# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "noretry"
version = "0.1.0"
build = false
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "noretry is a simple retryable abstraction for your functions"
readme = "README.md"
license-file = "LICENSE"
repository = "https://git.kjuulh.io/kjuulh/noretry"
resolver = "2"

[features]
default = ["tokio"]
tokio = ["dep:tokio"]

[lib]
name = "noretry"
path = "src/lib.rs"

[[test]]
name = "mod"
path = "tests/mod.rs"

[dependencies.fastrand]
version = "2"

[dependencies.tokio]
version = "1"
features = ["full"]
optional = true

[dev-dependencies.anyhow]
version = "1.0.71"
